| Home | Libraries | People | FAQ | More

## Type definition type_info

type_info

## Synopsis

    // In header: <boost/type_index.hpp>

    typedef type_index::type_info_t type_info;

## Description

Depending on a compiler flags, optimal implementation of type_info will be used as a default boost::typeindex::type_info.

Could be a std::type_info, boost::typeindex::detail::ctti_data or some user defined class.

type_info is not copyable or default constructible. It is not assignable too!